QT += charts qml quick gui

CONFIG += \
    c++11

HEADERS += \
    datasource.h \
    scopeinterface.h \
    datasourcescope.h \
    scopedata.h \
    oscilloscope/trigger.h \
    oscilloscope/channel.h

SOURCES += \
    main.cpp \
    datasource.cpp \
    scopeinterface.cpp \
    datasourcescope.cpp \
    oscilloscope/trigger.cpp \
    oscilloscope/channel.cpp

RESOURCES += \
    qmloscilloscope.qrc

DISTFILES += \
    qml/qmloscilloscope/* \
    oscillosscope/ht6022be/firmware/hantek.fw

QML_IMPORT_PATH += /qml/qmloscilloscope

OTHER_FILES += \
    qml/qmloscilloscope/*

target.path = /home/andreas/hantek_6022/qtscope2
INSTALLS += \
    target

unix:!macx: LIBS += -lusb-1.0
